Loading...
Searching...
No Matches
_cpl_recipe_ Struct Reference
Recipes

The type representation of the recipe plugin interface. More...

`#include <cpl_recipe.h>`

## Public Attributes

cpl_frameset * | frames
| Pointer to a frame set, or `NULL` if no frame set is available.
cpl_plugin | interface
| Generic plugin interface.
cpl_parameterlist * | parameters
| Pointer to the recipes parameter list, or `NULL` if the recipe does not provide/accept any parameters.

## Detailed Description

The type representation of the recipe plugin interface.

## Member Data Documentation

## frames

cpl_frameset* _cpl_recipe_::frames

Pointer to a frame set, or `NULL` if no frame set is available.

This member points to the frame set (see Frame Sets) the recipe should process. The frame set to process has to be provided by the application which is going to execute this recipe, i.e. this member has to be set by the application.

The recipe can rely on the availability of the frame set at the time the application executes the recipe by calling cpl_plugin::execute. The recipe is free to ignore a provided frame set if it does not need any input frames.

## interface

cpl_plugin _cpl_recipe_::interface

Generic plugin interface.

See the Plugin Interface documentation for a detailed description.

## parameters

cpl_parameterlist* _cpl_recipe_::parameters

Pointer to the recipes parameter list, or `NULL` if the recipe does not provide/accept any parameters.

This member points to a `cpl_parameterlist`, containing all parameters the recipe accepts, or `NULL` if the recipe does not need any parameters for execution.

An application which wants to execute the recipe may update this list with new parameter values, obtained from the command line for instance.